- Main Page
- Namespaces
- Classes
- Files
- Directories

- Namespace List
- Namespace Members

# Types Namespace Reference

## Classes
struct | DownloadActionParams_Type
struct | FilterCriteria_Type
## Typedefs
typedef TQValueList< int > | MailNumberList_Type
typedef TQMap< TQString, bool > | AccountTaskMap_Type
typedef TQMap< int, DownloadActionParams_Type > | MailToDownloadMap_Type
typedef list< FilterCriteria_Type > | FilterCriteriaList_Type
## Enumerations
enum | State_Type { idle, deleting, configure, executing, showing, refreshing }
enum | AccountState_Type { AccountIdle, AccountDeleting, AccountDownloading, AccountRefreshing }
enum | FilterAction_Type { FActPass, FActDelete, FActMark, FActMove, FActSpamcheck, FActIgnore, FActNone }

## Detailed Description

All special types for KShowMail.

## Typedef Documentation

typedef TQMap<TQString, bool> Types::AccountTaskMap_Type

Map to notice which accounts need to get an order to do a task. The Key is the account name and the data a boolean. TRUE means the task was ordered, FALSE the task was ended.

typedef list<FilterCriteria_Type> Types::FilterCriteriaList_Type

List of filter criterias.

typedef TQValueList<int> Types::MailNumberList_Type

List of mail numbers. It is a TQValueList of integers.

typedef TQMap<int, DownloadActionParams_Type> Types::MailToDownloadMap_Type

This map is used by ConfigElem and ShowRecord to hold a list of mail numbers which shall be downloaded for some filter actions; at time for moving and spam check

## Enumeration Type Documentation

enum Types::AccountState_Type

State of an account.

Enumerator:

  AccountIdle | it's doing nothing
  AccountDeleting | a deletion is running
  AccountDownloading | the account is downloading mail bodies
  AccountRefreshing | the account is refreshing its mail list

enum Types::FilterAction_Type

Actions returned by filters.

Enumerator:

  FActPass | Mail has passed the filter check. It can showed in the list.
  FActDelete | Undesirable mail. Delete it.
  FActMark | Probably undesirable mail. Mark it in the mail list.
  FActMove | Move the mail to a certain mail box. The name of the box will returned by a further parameter.
  FActSpamcheck | This mail shall be forwared to a spam filter, which checks the whole mail including body.
  FActIgnore | This mail shall not be shown.
  FActNone | The mail doesn't match up with the filter. Perform the next one.

enum Types::State_Type

State of the application during running time.

Enumerator:

  idle | it's doing nothing
  deleting | it's deleting a message on the server
  configure | the user is configuring the application or the mail or just the header of the mail is being shown
  executing | a command on the command list is being executed
  showing | it's downloading and showing a mail
  refreshing | it's refreshing the mail lists